summaryrefslogtreecommitdiff
path: root/tests/txinfo27.test
diff options
context:
space:
mode:
authorAlexandre Duret-Lutz <adl@gnu.org>2003-11-18 20:40:48 +0000
committerAlexandre Duret-Lutz <adl@gnu.org>2003-11-18 20:40:48 +0000
commit86a72498543b3f67099905c526ecfe42a0507552 (patch)
tree9e1994844b6b0f3adbb8bc3e218ee91a63dc4667 /tests/txinfo27.test
parent28c655bd03f2098c66fd6bafd4d0d1cb8c171f3e (diff)
downloadautomake-86a72498543b3f67099905c526ecfe42a0507552.tar.gz
* lib/am/texinfos.am (install-info): Depend on
install-info-recursive or install-info-am even if no-installinfo. * tests/txinfo27.test: New file. * tests/Makefile.am (TESTS): Add txinfo26.test.
Diffstat (limited to 'tests/txinfo27.test')
-rwxr-xr-xtests/txinfo27.test52
1 files changed, 52 insertions, 0 deletions
diff --git a/tests/txinfo27.test b/tests/txinfo27.test
new file mode 100755
index 000000000..4ae7e52a6
--- /dev/null
+++ b/tests/txinfo27.test
@@ -0,0 +1,52 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure install-info works even if no-installinfo is given.
+
+required='makeinfo'
+. ./defs || exit 1
+
+set -e
+
+echo AC_OUTPUT >> configure.in
+
+cat > Makefile.am << 'END'
+info_TEXINFOS = main.texi
+AUTOMAKE_OPTIONS = no-installinfo
+END
+
+cat > main.texi << 'END'
+\input texinfo
+@setfilename main.info
+@settitle main
+@node Top
+Hello walls.
+@include version.texi
+@bye
+END
+
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+./configure --prefix=`pwd`/inst --infodir=`pwd`/inst/info
+$MAKE install-info
+test -f inst/info/main.info